PHPExcel_Writer_Excel2007

# Class: PHPExcel_Writer_Excel2007

Source Location: /PHPExcel/Writer/Excel2007.php

### Class Overview

PHPExcel_Writer_Excel2007

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_Writer_IWriter

### Methods

- __construct
- getBordersHashTable
- getDiskCachingDirectory
- getDrawingHashTable
- getFillHashTable
- getFontHashTable
- getIncludeCharts
- getNumFmtHashTable
- getOffice2003Compatibility
- getPHPExcel
- getPreCalculateFormulas
- getStringTable
- getStylesConditionalHashTable
- getUseDiskCaching
- getWriterPart
- save
- setIncludeCharts
- setOffice2003Compatibility
- setPHPExcel
- setPreCalculateFormulas
- setUseDiskCaching

### Class Details

[line 36]
PHPExcel_Writer_Excel2007

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 142]

`PHPExcel_Writer_Excel2007 __construct( [PHPExcel $pPHPExcel = null])`

Create a new PHPExcel_Writer_Excel2007

#### Tags:

access: | public

#### Parameters:

PHPExcel | $pPHPExcel |

[ Top ]

### method getBordersHashTable [line 460]

`PHPExcel_HashTable getBordersHashTable( )`

Get PHPExcel_Style_Borders HashTable

#### Tags:

access: | public

[ Top ]

### method getDiskCachingDirectory [line 580]

`string getDiskCachingDirectory( )`

Get disk caching directory

#### Tags:

access: | public

[ Top ]

### method getDrawingHashTable [line 478]

`PHPExcel_HashTable getDrawingHashTable( )`

Get PHPExcel_Worksheet_BaseDrawing HashTable

#### Tags:

access: | public

[ Top ]

### method getFillHashTable [line 442]

`PHPExcel_HashTable getFillHashTable( )`

Get PHPExcel_Style_Fill HashTable

#### Tags:

access: | public

[ Top ]

### method getFontHashTable [line 451]

`PHPExcel_HashTable getFontHashTable( )`

Get PHPExcel_Style_Font HashTable

#### Tags:

access: | public

[ Top ]

### method getIncludeCharts [line 489]

`boolean getIncludeCharts( )`

Write charts in workbook? If this is true, then the Writer will write definitions for any charts that exist in the PHPExcel object.

If false (the default) it will ignore any charts defined in the PHPExcel object.

#### Tags:

access: | public

[ Top ]

### method getNumFmtHashTable [line 469]

`PHPExcel_HashTable getNumFmtHashTable( )`

Get PHPExcel_Style_NumberFormat HashTable

#### Tags:

access: | public

[ Top ]

### method getOffice2003Compatibility [line 530]

`boolean getOffice2003Compatibility( )`

Get Office2003 compatibility

#### Tags:

access: | public

[ Top ]

### method getPHPExcel [line 399]

`PHPExcel getPHPExcel( )`

Get PHPExcel object

#### Tags:

throws: | Exception
access: | public

[ Top ]

### method getPreCalculateFormulas [line 512]

`boolean getPreCalculateFormulas( )`

Get Pre-Calculate Formulas

#### Tags:

access: | public

[ Top ]

### method getStringTable [line 424]

`string[] getStringTable( )`

Get string table

#### Tags:

access: | public

[ Top ]

### method getStylesConditionalHashTable [line 433]

`PHPExcel_HashTable getStylesConditionalHashTable( )`

Get PHPExcel_Style_Conditional HashTable

#### Tags:

access: | public

[ Top ]

### method getUseDiskCaching [line 550]

`boolean getUseDiskCaching( )`

Get use disk caching where possible?

#### Tags:

access: | public

[ Top ]

### method getWriterPart [line 182]

`PHPExcel_Writer_Excel2007_WriterPart getWriterPart( [string $pPartName = ''])`

Get writer part

#### Tags:

access: | public

#### Parameters:

string | $pPartName | Writer part name

[ Top ]

### method save [line 196]

`void save( [string $pFilename = null])`

Save PHPExcel to file

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFilename |

[ Top ]

### method setIncludeCharts [line 502]

`PHPExcel_Writer_Excel2007 setIncludeCharts( [boolean $pValue = false])`

Set write charts in workbook Set to true, to advise the Writer to include any charts that exist in the PHPExcel object.

Set to false (the default) to ignore charts.

#### Tags:

access: | public

#### Parameters:

boolean | $pValue |

[ Top ]

### method setOffice2003Compatibility [line 540]

`PHPExcel_Writer_Excel2007 setOffice2003Compatibility( [boolean $pValue = false])`

Set Pre-Calculate Formulas

#### Tags:

access: | public

#### Parameters:

boolean | $pValue | Office2003 compatibility?

[ Top ]

### method setPHPExcel [line 414]

`PHPExcel_Writer_Excel2007 setPHPExcel( [PHPExcel $pPHPExcel = null])`

Set PHPExcel object

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel | $pPHPExcel | PHPExcel object

[ Top ]

### method setPreCalculateFormulas [line 521]

`void setPreCalculateFormulas( [boolean $pValue = true])`

Set Pre-Calculate Formulas

#### Tags:

access: | public

#### Parameters:

boolean | $pValue | Pre-Calculate Formulas?

[ Top ]

### method setUseDiskCaching [line 562]

`PHPExcel_Writer_Excel2007 setUseDiskCaching( [boolean $pValue = false], [string $pDirectory = null])`

Set use disk caching where possible?

#### Tags:

throws: | Exception Exception when directory does not exist
access: | public

#### Parameters:

boolean | $pValue |
string | $pDirectory | Disk caching directory

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:13 +0200 by phpDocumentor 1.4.4